Subject: [rohc] Byte copying rules with STATE-ACCESS and END-MESSAGE

From: Pekka Pessi <[email-masked]>
Date: Fri, 14 Nov 2003 20:55:00 +0200

Hello all SigComp lawyers,
	
The RFC 3320 does not state whether the byte copying rules should be
used when retrieving the partial state identifier given to the
STATE-ACCESS operation. Also spec is silent with the requested feedback
or returned parameters to the END-MESSAGE operation.

The partial state identifier given to STATE-FREE is byte copied, so I'd
expect similar parameter to STATE-ACCESS to be byte copied, too.

If byte copying rules should *not* be used, it might be a good idea to
mention that somewhere, or even add some torture tests to test correct
operation.

--Pekka

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc